# frozen_string_literal: true

module Gitlab
  module Page
    module Admin
      module Subscription
        # @note Defined as +div :subscription_details+
        # @return [String] The text content or value of +subscription_details+
        def subscription_details
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.subscription_details_element).to exist
        #   end
        # @return [Watir::Div] The raw +Div+ element
        def subscription_details_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_subscription_details
        #   end
        # @return [Boolean] true if the +subscription_details+ element is present on the page
        def subscription_details?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +text_field :activation_code+
        # @return [String] The text content or value of +activation_code+
        def activation_code
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # Set the value of activation_code
        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     subscription.activation_code = 'value'
        #   end
        # @param value [String] The value to set.
        def activation_code=(value)
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.activation_code_element).to exist
        #   end
        # @return [Watir::TextField] The raw +TextField+ element
        def activation_code_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_activation_code
        #   end
        # @return [Boolean] true if the +activation_code+ element is present on the page
        def activation_code?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +button :activate+
        # Clicks +activate+
        def activate
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.activate_element).to exist
        #   end
        # @return [Watir::Button] The raw +Button+ element
        def activate_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_activate
        #   end
        # @return [Boolean] true if the +activate+ element is present on the page
        def activate?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +label :terms_of_services+
        # @return [String] The text content or value of +terms_of_services+
        def terms_of_services
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.terms_of_services_element).to exist
        #   end
        # @return [Watir::Label] The raw +Label+ element
        def terms_of_services_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_terms_of_services
        #   end
        # @return [Boolean] true if the +terms_of_services+ element is present on the page
        def terms_of_services?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +button :remove_license+
        # Clicks +remove_license+
        def remove_license
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.remove_license_element).to exist
        #   end
        # @return [Watir::Button] The raw +Button+ element
        def remove_license_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_remove_license
        #   end
        # @return [Boolean] true if the +remove_license+ element is present on the page
        def remove_license?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +button :confirm_remove_license+
        # Clicks +confirm_remove_license+
        def confirm_remove_license
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.confirm_remove_license_element).to exist
        #   end
        # @return [Watir::Button] The raw +Button+ element
        def confirm_remove_license_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_confirm_remove_license
        #   end
        # @return [Boolean] true if the +confirm_remove_license+ element is present on the page
        def confirm_remove_license?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +td :plan+
        # @return [String] The text content or value of +plan+
        def plan
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.plan_element).to exist
        #   end
        # @return [Watir::Td] The raw +Td+ element
        def plan_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_plan
        #   end
        # @return [Boolean] true if the +plan+ element is present on the page
        def plan?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +td :name+
        # @return [String] The text content or value of +name+
        def name
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.name_element).to exist
        #   end
        # @return [Watir::Td] The raw +Td+ element
        def name_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_name
        #   end
        # @return [Boolean] true if the +name+ element is present on the page
        def name?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +td :company+
        # @return [String] The text content or value of +company+
        def company
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.company_element).to exist
        #   end
        # @return [Watir::Td] The raw +Td+ element
        def company_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_company
        #   end
        # @return [Boolean] true if the +company+ element is present on the page
        def company?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +td :email+
        # @return [String] The text content or value of +email+
        def email
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.email_element).to exist
        #   end
        # @return [Watir::Td] The raw +Td+ element
        def email_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_email
        #   end
        # @return [Boolean] true if the +email+ element is present on the page
        def email?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +h2 :users_in_subscription+
        # @return [String] The text content or value of +users_in_subscription+
        def users_in_subscription
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.users_in_subscription_element).to exist
        #   end
        # @return [Watir::H2] The raw +H2+ element
        def users_in_subscription_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_users_in_subscription
        #   end
        # @return [Boolean] true if the +users_in_subscription+ element is present on the page
        def users_in_subscription?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +table :subscription_history+
        # @return [String] The text content or value of +subscription_history+
        def subscription_history
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.subscription_history_element).to exist
        #   end
        # @return [Watir::Table] The raw +Table+ element
        def subscription_history_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_subscription_history
        #   end
        # @return [Boolean] true if the +subscription_history+ element is present on the page
        def subscription_history?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +div :no_valid_license_alert+
        # @return [String] The text content or value of +no_valid_license_alert+
        def no_valid_license_alert
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.no_valid_license_alert_element).to exist
        #   end
        # @return [Watir::Div] The raw +Div+ element
        def no_valid_license_alert_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_no_valid_license_alert
        #   end
        # @return [Boolean] true if the +no_valid_license_alert+ element is present on the page
        def no_valid_license_alert?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +h3 :no_active_subscription_title+
        # @return [String] The text content or value of +no_active_subscription_title+
        def no_active_subscription_title
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.no_active_subscription_title_element).to exist
        #   end
        # @return [Watir::H3] The raw +H3+ element
        def no_active_subscription_title_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_no_active_subscription_title
        #   end
        # @return [Boolean] true if the +no_active_subscription_title+ element is present on the page
        def no_active_subscription_title?
          # This is a stub, used for indexing. The method is dynamically generated.
        end
      end
    end
  end
end
